# Interface GenericArrayType

All Superinterfaces:
  `Type`

public interface GenericArrayType extends Type
`GenericArrayType` represents an array type whose component type is either a parameterized type or a type variable.

See Java Language Specification:
  10.1 Array Types
Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`Type`
`getGenericComponentType()`
Returns a `Type` object representing the component type of this array.

### Methods declared in interface Type

`getTypeName`

## Method Details

### getGenericComponentType

Type getGenericComponentType()
Returns a `Type` object representing the component type of this array. This method creates the component type of the array. See the declaration of `ParameterizedType` for the semantics of the creation process for parameterized types and see `TypeVariable` for the creation process for type variables.

Returns:
  a `Type` object representing the component type of this array
Throws:
  `TypeNotPresentException` - if the underlying array type's component type refers to a non-existent class or interface declaration
  `MalformedParameterizedTypeException` - if the underlying array type's component type refers to a parameterized type that cannot be instantiated for any reason